Bug 443261 - Get java-1.6.0-openjdk in EPEL-4
Get java-1.6.0-openjdk in EPEL-4
Status: CLOSED WONTFIX
Product: Fedora EPEL
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
el4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
PackageBranch
:
Depends On: openjdk-epel
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-19 16:26 EDT by Patrick Macdonald
Modified: 2012-03-01 15:02 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-01 15:02:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Fitzsimmons 2008-04-19 16:26:11 EDT
+++ This bug was initially created as a clone of Bug #438069 +++

This is to track progress on getting OpenJDK Java to EPEL.

+++ This bug was initially created as a clone of Bug #433070 +++

-- Additional comment from erik-fedora@vanpienbroek.nl on 2008-03-11 12:09 EST --
Would it be possible to also add this package to EPEL5? 

-- Additional comment from lkundrak@redhat.com on 2008-03-12 10:48 EST --
Erik: Currently it depends on lesstif (has to be branched for EPEL, not a big
deal), freetype >= 2.3.0 (not a BR, but complains during the build. probably
would work even with older one that's in RHEL?), and newer jpackage-utils and
tzdata-java than are in RHEL. Probably there can be a way found to work this
around, I'll experiment a bit when my initial build is done (and will publish a
repo with this, if anyone's interested).

Moreover, it can be bootstrapped with gcj-1.5.0, but only 1.4.2 is avaliable.
This can be probably worked around by manually adding java-1.6.0-openjdk-devel
to the EPEL build root. I am bootstrapping with one from f9 and it seems to be
sufficient.

-- Additional comment from lkundrak@redhat.com on 2008-03-12 17:01 EST --
Erik: Here's my build of openjdk for RHEL-5, with packages that are not in EPEL:
[1]. Dependencies were grabbed from dist-f9, tzdata was changed due to #437150.
Should we open another bug for efforts to get that in EPEL, so we don't spam
people that were interested in review request into rawhide?

[1] http://netbsd.sk/~lkundrak/openjdk-el5/ (will probably be subject to move to
http://people.redhat.com/lkundrak/openjdk-el5/ but I am over quota and am
waiting for extension approval :)

-- Additional comment from erik-fedora@vanpienbroek.nl on 2008-03-12 17:20 EST --
Great job!
I'll try out your repo in a couple of days to install a package called Alfresco
which requires Java 1.6 on a CentOS 5 machine. I'll let you know if I notice
anything strange.

-- Additional comment from fitzsim@redhat.com on 2008-03-12 17:25 EST --
Would having java-1.6.0-openjdk in EPEL cause conflicts if it were introduced
later in RHEL?

-- Additional comment from lkundrak@redhat.com on 2008-03-12 17:34 EST --
Thomas: Not necessarily. It could be removed from EPEL for that release. To
allow smooth update you would just bump the revision to be bigger that one of
the package in EPEL. We can agree on some revision number and keep the revision
number of the EPEL package smaller than it.

-- Additional comment from fitzsim@redhat.com on 2008-03-12 17:52 EST --
I updated the Java release notes for Fedora 9:

http://fedoraproject.org/wiki/Docs/Beats/Java


-- Additional comment from erik-fedora@vanpienbroek.nl on 2008-03-17 11:40 EST --
(In reply to comment #22)
> Erik: Here's my build of openjdk for RHEL-5, with packages that are not in EPEL:
> [1].

I've just tried installing a fresh CentOS 5 system with your repo enabled during
the installation and your packages were automatically pulled in.

However, when installing Tomcat5 I get the following error :
  Updating  : tomcat5                      ####################### [48/74] 
/usr/bin/build-jar-repository: error: Could not find ecj Java extension for this JVM
/usr/bin/build-jar-repository: error: Some specified jars were not found for
this jvm

This failure makes it impossible to run a tomcat based web-application. I've
tried rebuilding eclipse(-ecj) against java-1.6.0-openjdk, but this fails.

-- Additional comment from lkundrak@redhat.com on 2008-03-17 12:16 EST --
(In reply to comment #22)
> Should we open another bug for efforts to get that in EPEL, so we don't spam
> people that were interested in review request into rawhide?(In reply to
comment #27)

(In reply to comment #27)
> However, when installing Tomcat5 I get the following error :
>   Updating  : tomcat5                      ####################### [48/74] 
> /usr/bin/build-jar-repository: error: Could not find ecj Java extension for
this JVM
> /usr/bin/build-jar-repository: error: Some specified jars were not found for
> this jvm

Works for me, on fairly minimal RHEL-5. 

> 
> This failure makes it impossible to run a tomcat based web-application. I've
> tried rebuilding eclipse(-ecj) against java-1.6.0-openjdk, but this fails.



-- Additional comment from walters@redhat.com on 2008-03-18 15:56 EST --
Has anyone looked at building on EL4?

-- Additional comment from notting@redhat.com on 2008-03-18 16:55 EST --
Note that for RHEL you *could*, theoretically, build against the system openmotif.

-- Additional comment from lkundrak@redhat.com on 2008-03-18 17:07 EST --
(In reply to comment #1)
> Note that for RHEL you *could*, theoretically, build against the system openmotif.

I did not consider this possibility; I'll definitely try to do that. I just
filed a request for lesstif in EPEL though, a while ago.

-- Additional comment from erik-fedora@vanpienbroek.nl on 2008-03-18 17:56 EST --
(In reply to comment #0)
> -- Additional comment from erik-fedora@vanpienbroek.nl on 2008-03-17 11:40 EST --
> (In reply to comment #22)
> > Erik: Here's my build of openjdk for RHEL-5, with packages that are not in EPEL:
> > [1].
> 
> I've just tried installing a fresh CentOS 5 system with your repo enabled during
> the installation and your packages were automatically pulled in.
> 
> However, when installing Tomcat5 I get the following error :
>   Updating  : tomcat5                      ####################### [48/74] 
> /usr/bin/build-jar-repository: error: Could not find ecj Java extension for
this JVM
> /usr/bin/build-jar-repository: error: Some specified jars were not found for
> this jvm
> 
> This failure makes it impossible to run a tomcat based web-application. I've
> tried rebuilding eclipse(-ecj) against java-1.6.0-openjdk, but this fails.
> 
> -- Additional comment from lkundrak@redhat.com on 2008-03-17 12:16 EST --
> Works for me, on fairly minimal RHEL-5. 
I've been able to get Tomcat and eclipse-ecj operational by manually fixing the
dead symlink to ecj.jar which was in some tomcat folder (can't memorize the full
path right now). I think this problem only occurs when you first install
openjdk-1.6 and afterwards tomcat. More testing needed here...

-- Additional comment from lkundrak@redhat.com on 2008-03-19 10:50 EST --
Done a successfull build with older freetype and openmotif (not tested
functionality).

Also, let us have CVS (asked lillian, he is OK with this):

Package Change Request
======================
Package Name: java-1.6.0-openjdk
EPEL Owners: lkundrak
New Branches: EL-4 EL-5

-- Additional comment from kevin@tummy.com on 2008-03-19 12:09 EST --
cvs done.

-- Additional comment from lkundrak@redhat.com on 2008-04-08 06:09 EST --
Imported and build for EPEL-5 i386 and x86_64 so far
http://buildsys.fedoraproject.org/plague-results/fedora-5-epel/java-1.6.0-openjdk/

-- Additional comment from lkundrak@redhat.com on 2008-04-16 04:18 EST --
EPEL-5 for all arches done.
http://buildsys.fedoraproject.org/plague-results/fedora-5-epel/java-1.6.0-openjdk/

Anyone tried RHEL-4?
Comment 1 Lubomir Kundrak 2008-04-21 04:54:00 EDT
Seems like it won't be any fun to bootstrap gcj 1.5 on RHEL-4. Openjdk bianry
from EPEL 5 depends on quite some glibc features unavailable in RHEL-4.

What comes to my mind is forcing newer and older glibc be installed side by side
with older glibc-devel. I did that once on RHEL-5/ppc and compilation
surprisingly succeeded, but the resulting javac would not run anything, just die
with oom exception.

Thomas: is there any chances it will be possible to bootstrap OpenJDK with a
proprietary Java VM, such as sun or ibm java?
Comment 2 Thomas Fitzsimmons 2008-04-21 06:18:57 EDT
(In reply to comment #1)

> Thomas: is there any chances it will be possible to bootstrap OpenJDK with a
> proprietary Java VM, such as sun or ibm java?

No, this is not an option because it risks propagation of proprietary bits.  See
here for a full explanation:

https://bugzilla.redhat.com/show_bug.cgi?id=438421#c16

Have you attempted to build the RHEL-5 gcc SRPM on RHEL-4?  If that succeeded
you could use that gcj to build OpenJDK against RHEL-4's glibc.  At that point
you would include the resulting OpenJDK binaries in the OpenJDK SRPM and
bootstrap from them.  Once OpenJDK is in the EPEL-4 buildroots you would remove
the OpenJDK binaries from the SRPM and rebuild.

There may be other dependencies that aren't available on RHEL-4 that could
complicate this approach -- I haven't looked.  Also, this process would need to
be done on every architecture.
Comment 3 Lubomir Kundrak 2008-04-21 06:34:25 EDT
(In reply to comment #2)
> (In reply to comment #1)
> 
> > Thomas: is there any chances it will be possible to bootstrap OpenJDK with a
> > proprietary Java VM, such as sun or ibm java?
> 
> No, this is not an option because it risks propagation of proprietary bits.  

Quite understandable.

> Have you attempted to build the RHEL-5 gcc SRPM on RHEL-4?  If that succeeded
> you could use that gcj to build OpenJDK against RHEL-4's glibc.  At that point
> you would include the resulting OpenJDK binaries in the OpenJDK SRPM and
> bootstrap from them.  Once OpenJDK is in the EPEL-4 buildroots you would remove
> the OpenJDK binaries from the SRPM and rebuild.

That's the way I built it on RHEL-5 (I used Fedora 8's gcc on RHEL-5 though). I
thought OpenJDK can't be built with RHEL-5's gcj-1.4.2? Fedora 8's gcc can not
be built with RHEL-4 one, but I may try RHEL-5 gcc first, and then Fedora 8 maybe...

> There may be other dependencies that aren't available on RHEL-4 that could
> complicate this approach -- I haven't looked.  Also, this process would need to
> be done on every architecture.

Sure.
Comment 4 Thomas Fitzsimmons 2008-04-21 11:49:35 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > (In reply to comment #1)
> > 

> That's the way I built it on RHEL-5 (I used Fedora 8's gcc on RHEL-5 though). I
> thought OpenJDK can't be built with RHEL-5's gcj-1.4.2?

Yes, that's right, my mistake.

> Fedora 8's gcc can not
> be built with RHEL-4 one, but I may try RHEL-5 gcc first, and then Fedora 8
maybe...

Hmm, I'm surprised that Fedora 8 gcc can't be built with RHEL-4 gcc.  But yeah,
two step compiler bootstrapping is an option I guess.
Comment 7 Kevin Fenzi 2012-03-01 15:02:42 EST
EPEL-4 has reached end of life and is no longer supported. 

Please retest your bug against EPEL-5 or EPEL-6 and re-open if the bug persists in the packages available in those releases, or file a new bug. 

See: http://lists.fedoraproject.org/pipermail/epel-announce/2012-February/000015.html

Note You need to log in before you can comment on or make changes to this bug.